<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}
?>
<div class="overlay">
	<div class="spinner-wrap">
		<div class="loader">Loading...</div>
	</div>
</div>
<main id="cfw-content" class="<?php echo $css_classes; ?> cfw-tabs-initialize cfw-tabs-not-initialized">
	<div class="wrap">
		<div class="cfw-container">
			<div class="cfw-column-12">
				<?php cfw_wc_print_notices(); ?>
			</div>
		</div>

		<?php if ( ! WC()->cart->is_empty() ) : ?>
			<?php do_action( 'cfw_checkout_before_form' ); ?>

			<div class="cfw-container">
				<div class="cfw-column-12">
					<?php do_action( 'woocommerce_before_checkout_form', WC()->checkout() ); ?>
				</div>
			</div>

			<?php if ( ! apply_filters( 'cfw_replace_form', false ) ) : ?>
				<form id="checkout" name="checkout" class="woocommerce-checkout checkout" method="POST" formnovalidate="" data-parsley-focus="first">
					<?php cfw_futurist_breadcrumb_navigation(); ?>

					<div id="cfw-main-container" class="cfw-container" customer="<?php echo $customer->get_id(); ?>">
						<!-- Easy Tab Container -->
						<div id="cfw-tab-container" class="cfw-left-column cfw-column-7 tab-container">
							<div id="order_review" class="woocommerce-checkout-review-order">
								<!-- Customer Info Panel -->
								<div id="cfw-customer-info" class="cfw-panel" style="<?php echo ( ! apply_filters( 'cfw_show_customer_information_tab', true ) ) ? 'display: none' : ''; ?>">
									<?php cfw_customer_info_tab(); ?>
								</div>

								<!-- Shipping Method Panel -->
								<div id="cfw-shipping-method" class="cfw-panel" style="<?php echo ( ! WC()->cart->needs_shipping() || apply_filters( 'cfw_show_shipping_tab', true ) === false ) ? 'display: none' : ''; ?>">
									<?php cfw_shipping_method_tab(); ?>
								</div>

								<!-- Payment Method Panel -->
								<div id="cfw-payment-method" class="cfw-panel">
									<?php cfw_payment_method_tab(); ?>
								</div>
							</div>
						</div>

						<!-- Cart / Sidebar Column -->
						<div id="cfw-cart-details" class="cfw-right-column cfw-column-5">
							<div id="cfw-cart-details-review-bar" class="cfw-sg-container">
								<div class="cfw-column-8">
									<a id="cfw-show-cart-details">
										<span class="cfw-link">
											<?php if ( ! empty( $cart_summary_mobile_label = Objectiv\Plugins\Checkout\Main::instance()->get_settings_manager()->get_setting( 'cart_summary_mobile_label' ) ) ) : ?>
												<?php echo $cart_summary_mobile_label; ?>
											<?php else : ?>
												<?php echo apply_filters( 'cfw_show_order_summary_link_text', esc_html__( 'Show order summary', 'checkout-wc' ) ); ?>
											<?php endif; ?>
										</span>
										<svg id="cfw-cart-details-arrow" height="512px" style="enable-background:new 0 0 512 512;" version="1.1" viewBox="0 0 512 512" width="512px" xml:space="preserve" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink"><polygon points="160,115.4 180.7,96 352,256 180.7,416 160,396.7 310.5,256 "/></svg>
									</a>
								</div>
								<div class="cfw-column-4">
									<span id="cfw-mobile-total" class="total amount">
										<?php echo $cart->get_total(); ?>
									</span>
								</div>
							</div>

							<?php do_action( 'cfw_before_cart_summary' ); ?>

							<div id="cfw-cart-details-collapse-wrap">
								<h3 class="cfw-module-title">
									<?php _e( 'Your Cart', 'checkout-wc' ); ?>
								</h3>

								<div id="cfw_checkout_before_order_review">
									<?php do_action( 'woocommerce_checkout_before_order_review' ); ?>
								</div>

								<?php cfw_cart_html(); ?>

								<div id="cfw-deductors-list" class="cfw-module">
									<?php if ( wc_coupons_enabled() ) : ?>
									<div class="cfw-sg-container cfw-promo-row cfw-input-wrap-row">
										<div class="cfw-column-8">
											<div class="cfw-input-wrap cfw-text-input">
												<input type="text" name="cfw-promo-code" id="cfw-promo-code" size="30" title="<?php echo apply_filters( 'cfw_promo_code_label', esc_attr__( 'Enter Promo Code', 'checkout-wc' ) ); ?>" placeholder="<?php echo apply_filters( 'cfw_promo_code_label', esc_attr__( 'Enter Promo Code', 'checkout-wc' ) ); ?>">
											</div>
										</div>
										<div class="cfw-column-4">
											<div class="cfw-input-wrap cfw-button-input">
												<input type="button" name="cfw-promo-code-btn" id="cfw-promo-code-btn" class="cfw-def-action-btn" value="<?php esc_attr_e( 'Apply', 'checkout-wc' ); ?>" />
											</div>
										</div>
									</div>
									<?php endif; ?>
								</div>

								<div id="cfw_checkout_after_order_review">
									<?php do_action( 'woocommerce_checkout_after_order_review' ); ?>
								</div>

								<?php cfw_totals_html(); ?>
							</div>

							<?php do_action( 'cfw_after_cart_summary' ); ?>
						</div>
					</div>
				</form>
			<?php else : ?>
				<?php do_action( 'cfw_checkout_form' ); ?>
			<?php endif; ?>

			<?php do_action( 'woocommerce_after_checkout_form', WC()->checkout() ); ?>
			<?php do_action( 'cfw_checkout_after_form' ); ?>
		<?php endif; ?>
	</div>
</main>
