<?php

function cfw_futurist_breadcrumb_navigation() {
	do_action( 'cfw_before_breadcrumb_navigation' );
	?>
	<div class="cfw-breadcrumb-container">
		<ul id="cfw-breadcrumb" class="etabs">
			<li class="filled-circle" data-breadcrumb-number="1">
				<a href="<?php echo wc_get_cart_url(); ?>#cart">
					<?php echo apply_filters( 'cfw_breadcrumb_cart_label', cfw_esc_html__( 'Cart', 'woocommerce' ) ); ?>
				</a>
			</li>
			<li class="tab filled-circle" id="default-tab" data-breadcrumb-number="2">
				<a href="#cfw-customer-info" class="cfw-small">
					<?php echo apply_filters( 'cfw_breadcrumb_customer_info_label', esc_html__( 'Customer information', 'checkout-wc' ) ); ?>
				</a>
			</li>
			<?php if ( WC()->cart->needs_shipping() && apply_filters( 'cfw_show_shipping_tab', true ) === true ) : ?>
				<li class="tab" data-breadcrumb-number="3">
					<a href="#cfw-shipping-method" class="cfw-small">
						<?php echo apply_filters( 'cfw_breadcrumb_shipping_label', esc_html__( 'Shipping method', 'checkout-wc' ) ); ?>
					</a>
				</li>
			<?php endif; ?>
			<li class="tab" data-breadcrumb-number="4">
				<a href="#cfw-payment-method" class="cfw-small">
					<?php echo apply_filters( 'cfw_breadcrumb_payment_label', esc_html__( 'Payment method', 'checkout-wc' ) ); ?>
				</a>
			</li>
		</ul>
	</div>
	<?php do_action( 'cfw_after_breadcrumb_navigation' );
}
